# Deploy

If you want deploy a new ticker.You should create a cell on Nervos Network send to your self wallet address. The cell follows these rules:

* Its args should meet the requirements of type\_id, with the code\_hash using Inscription\_Info.

```rust
Inscription_Info type_script:
    code_hash: Inscription_Info_type_hash
    hash_type: type
    args: type_id
```

* Its data contains specific Info information, with a minimum length of 68 Bytes and a maximum length of 578 Bytes.

```rust
// general
decimal u8
len u8
name variable max 255
len u8
symbol variable max 255

udt_hash 32bytes
// extra
expected_supply 16bytes
mint_limit 16bytes
mint_status u8
```

* Its lock contains the deployer's information.

The construction of xudt\_hash should be straightforward, except for the xudt\_hash itself.

* xudt\_hash is the type\_hash of the Inscription xUDT to be minted.

```rust
Inscription type_script:
    code_hash: xUDT type_hash
    hash_type: type
    args: owner_script_hash
```

* The owner\_script is a virtual script and is not actually used by any cell as a type or lock.

```rust
owner_script:
    code_hash: Omiga Inscription type_hash
    hash_type: type
    args: Inscription_Info type_hash
```

From this, the type\_script used by xudt is constructed, resulting in the xudt\_hash. Therefore, the info\_cell is constructed, and the inscription deployment is completed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omiga.io/ckb-inscription/deploy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
